Page MenuHomePhabricator

Enable native lazy-loading on Special:NewFiles
Closed, ResolvedPublic

Description

Nobody in their right mind would print that page, which means that the weakness of the browser print feature not accounting for native lazy loading can be ignored in this context.

This would mitigate issues with concurrent requests for fresh thumbnails being sent to Thumbor, particularly for users who have set the number of thumbnails on that page to a high amount (eg. 500).

Event Timeline

Gilles created this task.May 11 2020, 4:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2020, 4:16 PM
Gilles claimed this task.May 13 2020, 8:18 AM
Gilles triaged this task as Medium priority.May 13 2020, 8:29 AM

Change 597837 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/core@master] Make images on Special:NewFiles natively lazy-loaded

https://gerrit.wikimedia.org/r/597837

Change 597837 merged by jenkins-bot:
[mediawiki/core@master] Make images on Special:NewFiles natively lazy-loaded

https://gerrit.wikimedia.org/r/597837

Gilles closed this task as Resolved.May 27 2020, 8:24 AM

Works as expected on Beta Commons. I don't expect any surprises when this goes to production.